openQA Tests - action #62498
coordination # 9576 (Resolved): [epic][opensuse][sle][functional]ly] VNC+SSH Installations

[functional][y][opensuse] Update support_server on 03 for remote installations
2020-01-21 17:58 - ybonatakis

Status: Resolved Start date: 2020-01-21
Priority: Normal Due date: 2020-02-11
Assignee: JERiveraMoya % Done: 0%
Category: Infrastructure Estimated time: 5.00 hours
Target version: Milestone 32

Difficulty:

Description

We need to create and update the support_server used in remote installation in openga.opensuse.org. The purpose is to fix the
problem appeared in the associated ticket which enabled the vnc remote installation[0] and adjust the tests removing the
workaround(remote_target.pm:L28). The work in the spike[1] shows that this should make the trick.

one way to generate a support_server is:one way to generate a support_server is:

sudo /usr/share/openga/script/client jobs post DISTRI=opensuse VERSION=15.2 ISO=openSUSE-Leap-15.0
-DVD-x86_64.1iso ARCH=x86_64 FLAVOR=DVD TEST=supportserver_generator MACHINE=64bit DESKTOP=gnome
INSTALLONLY=1 AUTOYAST=supportserver/autoyast_supportserver_x86.xml SUPPORT_SERVER_GENERATOR=1 PUB
LISH_HDD_l=supportserver_15_0_gnome_iob.gcow2 --host https://openga.opensuse.org/ "

where:

ISO=the iso file to use for the image

AUTOYAST=one of the xml files in the os-autoinst-distri-opensuse/data directory

The problem is that this didnt work quite well for me[2] as it cant find the packages in the repos. So some extra effort might required.

Acceptance criteria

* no workaround to get out of the yast in target machine

¢ the remote ssh and vnc tests should get to the desktop after the installation finish

¢ it has been observed a segmentation fault in ssh. if this does not appear any more with newer image, that s good, otherwise a
bug should be filed.

Suggestions

e create a xml, run the support_server generator and publish the image
e use an existing gcow and modify it to include the packages that it needs
e TW image would be preferable is will be possible to run zypper dup next time we need updated image

[0] https://progress.opensuse.org/issues/52310
[1] https://progress.opensuse.org/issues/62096
[2] https://openga.opensuse.org/tests/1150274

Related issues:
Copied from openQA Tests - action #62495: [functional][y][opensuse] Update su... Closed 2020-01-21

History

#1 - 2020-01-21 17:58 - ybonatakis

- Copied from action #62495: [functional][y][opensuse] Update support_server on 03 for remote installations added

#2 - 2020-01-22 10:37 - riafarov

- Due date set to 2020-02-11

- Category set to Infrastructure

- Target version set to Milestone 32

- Parent task set to #9576
#3 - 2020-01-29 10:30 - riafarov
- Description updated
- Status changed from New to Workable

- Estimated time set to 5.00 h

#4 - 2020-02-05 07:36 - JERiveraMoya

- Assignee set to JERiveraMoya

#5 - 2020-02-06 12:28 - JERiveraMoya
- Status changed from Workable to Feedback

Finally with a new image does not work: http://aquarius.suse.cz/tests/1538# remote still needs the ctrl+alt+del to close YaST installer
To create the image:

e Get latest gcow2 from TW create_hdd_gnome

e Install pattern dhcp_dns_server

e Switch from Network Manager to Wicked

¢ Disable firewall

¢ To avoid dimming of the screen, turn off gnome screensaver gsettings set org.gnome.desktop.session idle-delay 0 and turn off gnome suspend
gsettings set org.gnome.settings-daemon.plugins.power sleep-inactive-ac-type 'nothing’

¢ In job conf delete QEMUVGA and use VIRTIO_CONSOLE=1

#6 - 2020-02-07 09:35 - riafarov

- Status changed from Feedback to Resolved

So we agreed to create a bug for the issue and enable this scenario in the main job group for TW with soft-failure to that bug.
